PHP Manual
Prev |  | Next

# base64_encode

(PHP 3, PHP 4, PHP 5)

base64_encode -- Encodes data with MIME base64

## Description

string base64_encode ( string data )

Encodes the given `data` with base64.

This encoding is designed to make binary data survive transport through transport layers that are not 8-bit clean, such as mail bodies.

Base64-encoded data takes about 33% more space than the original data.

## Parameters

`data`

  The data to encode.

## Return Values

The encoded data, as a string.

## Examples

Example 1. base64_encode() example

`<?php $str = 'This is an encoded string'; echo base64_encode($str); ?>`

The above example will output:

    VGhpcyBpcyBhbiBlbmNvZGVkIHN0cmluZw==

## See Also

base64_decode()
chunk_split()
convert_uuencode()
RFC 2045 section 6.8

Prev | Home | Next
base64_decode | Up | get_headers